/*
 * Copyright 2023, 2024 New Vector Ltd.
 *
 * SPDX-License-Identifier: AGPL-3.0-only OR LicenseRef-Element-Commercial
 * Please see LICENSE files in the repository root for full details.
 */

package io.element.android.libraries.designsystem.theme

import androidx.compose.ui.text.TextStyle
import io.element.android.compound.tokens.sc.ExposedTypographyTokens

/*
 * This file contains aliases for TypographyTokens.
 */

val ExposedTypographyTokens.aliasScreenTitle: TextStyle
    get() = fontHeadingSmMedium

val ExposedTypographyTokens.aliasButtonText: TextStyle
    get() = fontBodyLgMedium
