/**
 * Source: https://github.com/SmartToolFactory/Compose-Extended-Colors
 * Author: SmartToolFactory
 * License: Apache-2.0
 */

package chat.schildi.theme

import androidx.compose.runtime.Stable
import androidx.compose.ui.graphics.Color


internal object MaterialColor {

    /*
        Red
     */
    // Primary Colors
    @Stable
    val Red50 = Color(0xffFFEBEE)
    @Stable
    val Red100 = Color(0xffFFCDD2)
    @Stable
    val Red200 = Color(0xffEF9A9A)
    @Stable
    val Red300 = Color(0xffE57373)
    @Stable
    val Red400 = Color(0xffEF5350)
    @Stable
    val Red500 = Color(0xffF44336)
    @Stable
    val Red600 = Color(0xffE53935)
    @Stable
    val Red700 = Color(0xffD32F2F)
    @Stable
    val Red800 = Color(0xffC62828)
    @Stable
    val Red900 = Color(0xffB71C1C)

    // Accent Colors
    @Stable
    val RedA100 = Color(0xffFF8A80)
    @Stable
    val RedA200 = Color(0xffFF5252)
    @Stable
    val RedA400 = Color(0xffFF1744)
    @Stable
    val RedA700 = Color(0xffD50000)

    /*
        Pink
     */
    // Primary Colors
    @Stable
    val Pink50 = Color(0xffFCE4EC)
    @Stable
    val Pink100 = Color(0xffF8BBD0)
    @Stable
    val Pink200 = Color(0xffF48FB1)
    @Stable
    val Pink300 = Color(0xffF06292)
    @Stable
    val Pink400 = Color(0xffEC407A)
    @Stable
    val Pink500 = Color(0xffE91E63)
    @Stable
    val Pink600 = Color(0xffD81B60)
    @Stable
    val Pink700 = Color(0xffC2185B)
    @Stable
    val Pink800 = Color(0xffAD1457)
    @Stable
    val Pink900 = Color(0xff880E4F)

    // Accent Colors
    @Stable
    val PinkA100 = Color(0xffFF80AB)
    @Stable
    val PinkA200 = Color(0xffFF4081)
    @Stable
    val PinkA400 = Color(0xffF50057)
    @Stable
    val PinkA700 = Color(0xffC51162)

    /*
        Purple
     */
    // Primary Colors
    @Stable
    val Purple50 = Color(0xffF3E5F5)
    @Stable
    val Purple100 = Color(0xffE1BEE7)
    @Stable
    val Purple200 = Color(0xffCE93D8)
    @Stable
    val Purple300 = Color(0xffBA68C8)
    @Stable
    val Purple400 = Color(0xffAB47BC)
    @Stable
    val Purple500 = Color(0xff9C27B0)
    @Stable
    val Purple600 = Color(0xff8E24AA)
    @Stable
    val Purple700 = Color(0xff7B1FA2)
    @Stable
    val Purple800 = Color(0xff6A1B9A)
    @Stable
    val Purple900 = Color(0xff4A148C)

    // Accent Colors
    @Stable
    val PurpleA100 = Color(0xffEA80FC)
    @Stable
    val PurpleA200 = Color(0xffE040FB)
    @Stable
    val PurpleA400 = Color(0xffD500F9)
    @Stable
    val PurpleA700 = Color(0xffAA00FF)

    /*
        DeepPurple
     */
    // Primary Colors
    @Stable
    val DeepPurple50 = Color(0xffEDE7F6)
    @Stable
    val DeepPurple100 = Color(0xffD1C4E9)
    @Stable
    val DeepPurple200 = Color(0xffB39DDB)
    @Stable
    val DeepPurple300 = Color(0xff9575CD)
    @Stable
    val DeepPurple400 = Color(0xff7E57C2)
    @Stable
    val DeepPurple500 = Color(0xff673AB7)
    @Stable
    val DeepPurple600 = Color(0xff5E35B1)
    @Stable
    val DeepPurple700 = Color(0xff512DA8)
    @Stable
    val DeepPurple800 = Color(0xff4527A0)
    @Stable
    val DeepPurple900 = Color(0xff311B92)

    // Accent Colors
    @Stable
    val DeepPurpleA100 = Color(0xffB388FF)
    @Stable
    val DeepPurpleA200 = Color(0xff7C4DFF)
    @Stable
    val DeepPurpleA400 = Color(0xff651FFF)
    @Stable
    val DeepPurpleA700 = Color(0xff6200EA)

    /*
        Indigo
     */
    // Primary Colors
    @Stable
    val Indigo50 = Color(0xffE8EAF6)
    @Stable
    val Indigo100 = Color(0xffC5CAE9)
    @Stable
    val Indigo200 = Color(0xff9FA8DA)
    @Stable
    val Indigo300 = Color(0xff7986CB)
    @Stable
    val Indigo400 = Color(0xff5C6BC0)
    @Stable
    val Indigo500 = Color(0xff3F51B5)
    @Stable
    val Indigo600 = Color(0xff3949AB)
    @Stable
    val Indigo700 = Color(0xff303F9F)
    @Stable
    val Indigo800 = Color(0xff283593)
    @Stable
    val Indigo900 = Color(0xff1A237E)

    // Accent Colors
    @Stable
    val IndigoA100 = Color(0xff8C9EFF)
    @Stable
    val IndigoA200 = Color(0xff536DFE)
    @Stable
    val IndigoA400 = Color(0xff3D5AFE)
    @Stable
    val IndigoA700 = Color(0xff304FFE)

    /*
        Blue
     */
    // Primary Colors
    @Stable
    val Blue50 = Color(0xffE3F2FD)
    @Stable
    val Blue100 = Color(0xffBBDEFB)
    @Stable
    val Blue200 = Color(0xff90CAF9)
    @Stable
    val Blue300 = Color(0xff64B5F6)
    @Stable
    val Blue400 = Color(0xff42A5F5)
    @Stable
    val Blue500 = Color(0xff2196F3)
    @Stable
    val Blue600 = Color(0xff1E88E5)
    @Stable
    val Blue700 = Color(0xff1976D2)
    @Stable
    val Blue800 = Color(0xff1565C0)
    @Stable
    val Blue900 = Color(0xff0D47A1)

    // Accent Colors
    @Stable
    val BlueA100 = Color(0xff82B1FF)
    @Stable
    val BlueA200 = Color(0xff448AFF)
    @Stable
    val BlueA400 = Color(0xff2979FF)
    @Stable
    val BlueA700 = Color(0xff2962FF)

    /*
        LightBlue
     */
    // Primary Colors
    @Stable
    val LightBlue50 = Color(0xffE1F5FE)
    @Stable
    val LightBlue100 = Color(0xffB3E5FC)
    @Stable
    val LightBlue200 = Color(0xff81D4FA)
    @Stable
    val LightBlue300 = Color(0xff4FC3F7)
    @Stable
    val LightBlue400 = Color(0xff29B6F6)
    @Stable
    val LightBlue500 = Color(0xff03A9F4)
    @Stable
    val LightBlue600 = Color(0xff039BE5)
    @Stable
    val LightBlue700 = Color(0xff0288D1)
    @Stable
    val LightBlue800 = Color(0xff0277BD)
    @Stable
    val LightBlue900 = Color(0xff01579B)

    // Accent Colors
    @Stable
    val LightBlueA100 = Color(0xff80D8FF)
    @Stable
    val LightBlueA200 = Color(0xff40C4FF)
    @Stable
    val LightBlueA400 = Color(0xff00B0FF)
    @Stable
    val LightBlueA700 = Color(0xff0091EA)

    /*
        Cyan
     */
    // Primary Colors
    @Stable
    val Cyan50 = Color(0xffE0F7FA)
    @Stable
    val Cyan100 = Color(0xffB2EBF2)
    @Stable
    val Cyan200 = Color(0xff80DEEA)
    @Stable
    val Cyan300 = Color(0xff4DD0E1)
    @Stable
    val Cyan400 = Color(0xff26C6DA)
    @Stable
    val Cyan500 = Color(0xff00BCD4)
    @Stable
    val Cyan600 = Color(0xff00ACC1)
    @Stable
    val Cyan700 = Color(0xff0097A7)
    @Stable
    val Cyan800 = Color(0xff00838F)
    @Stable
    val Cyan900 = Color(0xff006064)

    // Accent Colors
    @Stable
    val CyanA100 = Color(0xff84FFFF)
    @Stable
    val CyanA200 = Color(0xff18FFFF)
    @Stable
    val CyanA400 = Color(0xff00E5FF)
    @Stable
    val CyanA700 = Color(0xff00B8D4)

    /*
        Teal
     */
    // Primary Colors
    @Stable
    val Teal50 = Color(0xffE0F2F1)
    @Stable
    val Teal100 = Color(0xffB2DFDB)
    @Stable
    val Teal200 = Color(0xff80CBC4)
    @Stable
    val Teal300 = Color(0xff4DB6AC)
    @Stable
    val Teal400 = Color(0xff26A69A)
    @Stable
    val Teal500 = Color(0xff009688)
    @Stable
    val Teal600 = Color(0xff00897B)
    @Stable
    val Teal700 = Color(0xff00796B)
    @Stable
    val Teal800 = Color(0xff00695C)
    @Stable
    val Teal900 = Color(0xff004D40)

    // Accent Colors
    @Stable
    val TealA100 = Color(0xffA7FFEB)
    @Stable
    val TealA200 = Color(0xff64FFDA)
    @Stable
    val TealA400 = Color(0xff1DE9B6)
    @Stable
    val TealA700 = Color(0xff00BFA5)

    /*
        Green
     */
    // Primary Colors
    @Stable
    val Green50 = Color(0xffE8F5E9)
    @Stable
    val Green100 = Color(0xffC8E6C9)
    @Stable
    val Green200 = Color(0xffA5D6A7)
    @Stable
    val Green300 = Color(0xff81C784)
    @Stable
    val Green400 = Color(0xff66BB6A)
    @Stable
    val Green500 = Color(0xff4CAF50)
    @Stable
    val Green600 = Color(0xff43A047)
    @Stable
    val Green700 = Color(0xff388E3C)
    @Stable
    val Green800 = Color(0xff2E7D32)
    @Stable
    val Green900 = Color(0xff1B5E20)

    // Accent Colors
    @Stable
    val GreenA100 = Color(0xffB9F6CA)
    @Stable
    val GreenA200 = Color(0xff69F0AE)
    @Stable
    val GreenA400 = Color(0xff00E676)
    @Stable
    val GreenA700 = Color(0xff00C853)

    /*
        LightGreen
     */
    // Primary Colors
    @Stable
    val LightGreen50 = Color(0xffF1F8E9)
    @Stable
    val LightGreen100 = Color(0xffDCEDC8)
    @Stable
    val LightGreen200 = Color(0xffC5E1A5)
    @Stable
    val LightGreen300 = Color(0xffAED581)
    @Stable
    val LightGreen400 = Color(0xff9CCC65)
    @Stable
    val LightGreen500 = Color(0xff8BC34A)
    @Stable
    val LightGreen600 = Color(0xff7CB342)
    @Stable
    val LightGreen700 = Color(0xff689F38)
    @Stable
    val LightGreen800 = Color(0xff558B2F)
    @Stable
    val LightGreen900 = Color(0xff33691E)

    // Accent Colors
    @Stable
    val LightGreenA100 = Color(0xffCCFF90)
    @Stable
    val LightGreenA200 = Color(0xffB2FF59)
    @Stable
    val LightGreenA400 = Color(0xff76FF03)
    @Stable
    val LightGreenA700 = Color(0xff64DD17)

    /*
        Lime
     */
    // Primary Colors
    @Stable
    val Lime50 = Color(0xffF9FBE7)
    @Stable
    val Lime100 = Color(0xffF0F4C3)
    @Stable
    val Lime200 = Color(0xffE6EE9C)
    @Stable
    val Lime300 = Color(0xffDCE775)
    @Stable
    val Lime400 = Color(0xffD4E157)
    @Stable
    val Lime500 = Color(0xffCDDC39)
    @Stable
    val Lime600 = Color(0xffC0CA33)
    @Stable
    val Lime700 = Color(0xffAFB42B)
    @Stable
    val Lime800 = Color(0xff9E9D24)
    @Stable
    val Lime900 = Color(0xff827717)

    // Accent Colors
    @Stable
    val LimeA100 = Color(0xffF4FF81)
    @Stable
    val LimeA200 = Color(0xffEEFF41)
    @Stable
    val LimeA400 = Color(0xffC6FF00)
    @Stable
    val LimeA700 = Color(0xffAEEA00)

    /*
        Yellow
     */
    // Primary Colors
    @Stable
    val Yellow50 = Color(0xffFFFDE7)
    @Stable
    val Yellow100 = Color(0xffFFF9C4)
    @Stable
    val Yellow200 = Color(0xffFFF59D)
    @Stable
    val Yellow300 = Color(0xffFFF176)
    @Stable
    val Yellow400 = Color(0xffFFEE58)
    @Stable
    val Yellow500 = Color(0xffFFEB3B)
    @Stable
    val Yellow600 = Color(0xffFDD835)
    @Stable
    val Yellow700 = Color(0xffFBC02D)
    @Stable
    val Yellow800 = Color(0xffF9A825)
    @Stable
    val Yellow900 = Color(0xffF57F17)

    // Accent Colors
    @Stable
    val YellowA100 = Color(0xffFFFF8D)
    @Stable
    val YellowA200 = Color(0xffFFFF00)
    @Stable
    val YellowA400 = Color(0xffFFEA00)
    @Stable
    val YellowA700 = Color(0xffFFD600)

    /*
        Amber
     */
    // Primary Colors
    @Stable
    val Amber50 = Color(0xffFFF8E1)
    @Stable
    val Amber100 = Color(0xffFFECB3)
    @Stable
    val Amber200 = Color(0xffFFE082)
    @Stable
    val Amber300 = Color(0xffFFD54F)
    @Stable
    val Amber400 = Color(0xffFFCA28)
    @Stable
    val Amber500 = Color(0xffFFC107)
    @Stable
    val Amber600 = Color(0xffFFB300)
    @Stable
    val Amber700 = Color(0xffFFA000)
    @Stable
    val Amber800 = Color(0xffFF8F00)
    @Stable
    val Amber900 = Color(0xffFF6F00)

    // Accent Colors
    @Stable
    val AmberA100 = Color(0xffFFE57F)
    @Stable
    val AmberA200 = Color(0xffFFD740)
    @Stable
    val AmberA400 = Color(0xffFFC400)
    @Stable
    val AmberA700 = Color(0xffFFAB00)

    /*
        Orange
     */
    // Primary Colors
    @Stable
    val Orange50 = Color(0xffFFF3E0)
    @Stable
    val Orange100 = Color(0xffFFE0B2)
    @Stable
    val Orange200 = Color(0xffFFCC80)
    @Stable
    val Orange300 = Color(0xffFFB74D)
    @Stable
    val Orange400 = Color(0xffFFA726)
    @Stable
    val Orange500 = Color(0xffFF9800)
    @Stable
    val Orange600 = Color(0xffFB8C00)
    @Stable
    val Orange700 = Color(0xffF57C00)
    @Stable
    val Orange800 = Color(0xffEF6C00)
    @Stable
    val Orange900 = Color(0xffE65100)

    // Accent Colors
    @Stable
    val OrangeA100 = Color(0xffFFD180)
    @Stable
    val OrangeA200 = Color(0xffFFAB40)
    @Stable
    val OrangeA400 = Color(0xffFF9100)
    @Stable
    val OrangeA700 = Color(0xffFF6D00)

    /*
        DeepOrange
     */
    // Primary Colors
    @Stable
    val DeepOrange50 = Color(0xffFBE9E7)
    @Stable
    val DeepOrange100 = Color(0xffFFCCBC)
    @Stable
    val DeepOrange200 = Color(0xffFFAB91)
    @Stable
    val DeepOrange300 = Color(0xffFF8A65)
    @Stable
    val DeepOrange400 = Color(0xffFF7043)
    @Stable
    val DeepOrange500 = Color(0xffFF5722)
    @Stable
    val DeepOrange600 = Color(0xffF4511E)
    @Stable
    val DeepOrange700 = Color(0xffE64A19)
    @Stable
    val DeepOrange800 = Color(0xffD84315)
    @Stable
    val DeepOrange900 = Color(0xffBF360C)

    // Accent Colors
    @Stable
    val DeepOrangeA100 = Color(0xffFF9E80)
    @Stable
    val DeepOrangeA200 = Color(0xffFF6E40)
    @Stable
    val DeepOrangeA400 = Color(0xffFF3D00)
    @Stable
    val DeepOrangeA700 = Color(0xffDD2C00)

    /*
        Brown
     */
    // Primary Colors
    @Stable
    val Brown50 = Color(0xffEFEBE9)
    @Stable
    val Brown100 = Color(0xffD7CCC8)
    @Stable
    val Brown200 = Color(0xffBCAAA4)
    @Stable
    val Brown300 = Color(0xffA1887F)
    @Stable
    val Brown400 = Color(0xff8D6E63)
    @Stable
    val Brown500 = Color(0xff795548)
    @Stable
    val Brown600 = Color(0xff6D4C41)
    @Stable
    val Brown700 = Color(0xff5D4037)
    @Stable
    val Brown800 = Color(0xff4E342E)
    @Stable
    val Brown900 = Color(0xff3E2723)

    /*
        Grey
     */
    // Primary Colors
    @Stable
    val Grey50 = Color(0xffFAFAFA)
    @Stable
    val Grey100 = Color(0xffF5F5F5)
    @Stable
    val Grey200 = Color(0xffEEEEEE)
    @Stable
    val Grey300 = Color(0xffE0E0E0)
    @Stable
    val Grey400 = Color(0xffBDBDBD)
    @Stable
    val Grey500 = Color(0xff9E9E9E)
    @Stable
    val Grey600 = Color(0xff757575)
    @Stable
    val Grey700 = Color(0xff616161)
    @Stable
    val Grey800 = Color(0xff424242)
    @Stable
    val Grey900 = Color(0xff212121)

    /*
        BlueGrey
     */
    // Primary Colors
    @Stable
    val BlueGrey50 = Color(0xffECEFF1)
    @Stable
    val BlueGrey100 = Color(0xffCFD8DC)
    @Stable
    val BlueGrey200 = Color(0xffB0BEC5)
    @Stable
    val BlueGrey300 = Color(0xff90A4AE)
    @Stable
    val BlueGrey400 = Color(0xff78909C)
    @Stable
    val BlueGrey500 = Color(0xff607D8B)
    @Stable
    val BlueGrey600 = Color(0xff546E7A)
    @Stable
    val BlueGrey700 = Color(0xff455A64)
    @Stable
    val BlueGrey800 = Color(0xff37474F)
    @Stable
    val BlueGrey900 = Color(0xff263238)
}
